Get file access information

posthttps://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name/getFileAccessInfo

This endpoint returns the information needed to access files within your asset.

The storage account containing the asset must be configured with a valid SAS token.

The response includes

  • storageAccountName: the storage account name,
  • containerName: the name of the container within the storage account,
  • jwt: a token to be passed along with your request,
  • url: the URL to access the container.
  • subpath: the subpath to the location of the asset within the container.

Please see our online documentation for examples of how to use these.

RBAC Capability Required: ams.asset.create or ams.asset.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
asset_namestringRequired

Response

200Access Information

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…